<?php

namespace Modules\Attribute\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasOne;
use Illuminate\Database\Eloquent\SoftDeletes;
use Modules\Option\Models\Option;

class Attribute extends Model
{
    //use soft delete
    use SoftDeletes;

    protected $fillable =
    [
        'id'
    ];

    /**
     * Get current description of the the Room
     * @return HasOne
     */
    public function currentDescription() :HasOne
    {
        return $this->hasOne(AttributeDescription::class)->where('language_id', currentLanguage()->id);
    }

    public function options()
    {
        return $this->belongsToMany(Option::class,'attribute_options');
    }
}
